﻿DECLARE 
	@@manifestNo AS VARCHAR (25) = @0,
	@@processId AS BIGINT = @1,
	@@logHeaderId AS BIGINT = 0
	
BEGIN TRY

	BEGIN TRANSACTION DELETE_LOG_TABLE_DETAIL;

	DELETE FROM TB_R_LOG_TRANSACTION_D 
	WHERE 
		LOG_ID_H IN (
			SELECT LOG_ID_H
			FROM TB_R_LOG_TRANSACTION_H
			WHERE MANIFEST_NO = @@manifestNo AND PROCESS_ID <> @@processId
			)

	COMMIT TRANSACTION DELETE_LOG_TABLE_DETAIL;
END TRY
BEGIN CATCH
	ROLLBACK TRANSACTION DELETE_LOG_TABLE_DETAIL;
END CATCH

BEGIN TRY

	BEGIN TRANSACTION DELETE_LOG_TABLE_HEADER;

	DELETE FROM TB_R_LOG_TRANSACTION_H WHERE MANIFEST_NO = @@manifestNo AND PROCESS_ID <> @@processId;

	COMMIT TRANSACTION DELETE_LOG_TABLE_HEADER;
END TRY
BEGIN CATCH
	ROLLBACK TRANSACTION DELETE_LOG_TABLE_HEADER;
END CATCH
